<?php 

/**
  * BLOG:CMS: PHP/MySQL Personal Content Management System (CMS)
  * http://blogcms.com/
  * ----------------------------------------------------------------
  *
  * Copyright (C) 2003-2005 Radek HULÁN
  * http://hulan.cz/contact/
  *
  * ----------------------------------------------------------------
  * This program is free software; you can redistribute it and/or
  * modify it under the terms of the GNU General Public License
  * as published by the Free Software Foundation; either version 2
  * of the License, or (at your option) any later version.
**/

class NP_Signature extends NucleusPlugin { 
  function getName() { return 'Signature'; } 
  function getAuthor() { return 'Radek HULAN'; } 
  function getURL() { return 'http://hulan.cz/blog/'; } 
  function getVersion() { return '0.1'; } 
  function getDescription() { return 'Inserts signature/ID into a body and/or html tag.'; } 
  function getEventList() { return array(); }	
  function supportsFeature($feature) { if ($feature=='SqlTablePrefix') return 1; else return 0;}

  function doSkinVar($skinType) {
    global $CONF;
    $url=$CONF['IndexURL'];
    $url=str_replace('--','-',str_replace('.','-',str_replace('\\','-',str_replace('/','-',$url))));
    $url=strstr($url,"-");
    while (substr($url,0,1)=='-') $url=substr($url,1);
    while (substr($url,strlen($url)-1,1)=='-') $url=substr($url,0,strlen($url)-1);
    echo "id='$url'";
  } 
}

?>